| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
SoCubeDetail Class Reference
Detail Classes

The SoCubeDetail class contains information about the parts of a SoCube shape.Instances of this class are used for storing information about hit points on cone geometry after pick operations, and for storing information returned to tessellation callbacks. More...

`#include <Inventor/details/SoCubeDetail.h>`

Inheritance diagram for SoCubeDetail:

## Public Member Functions

virtual SoType | getTypeId (void) const
| SoCubeDetail (void)
virtual | ~SoCubeDetail ()
virtual SoDetail * | copy (void) const
void | setPart (const int part)
int | getPart (void) const
Public Member Functions inherited from SoDetail
virtual | ~SoDetail ()
SbBool | isOfType (const SoType type) const

## Static Public Member Functions

static SoType | getClassTypeId (void)
static void | cleanupClass (void)
static void | initClass (void)
Static Public Member Functions inherited from SoDetail
static void | initClass (void)
static void | initClasses (void)
static SoType | getClassTypeId (void)

## Protected Attributes

int | part

## Additional Inherited Members

Protected Member Functions inherited from SoDetail
| SoDetail (void)

## Detailed Description

The SoCubeDetail class contains information about the parts of a SoCube shape.

Instances of this class are used for storing information about hit points on cone geometry after pick operations, and for storing information returned to tessellation callbacks.

The part indices are ordered from 0 to 5 as [ front, back, left, right, top, bottom ].

See Also
  SoCube, SoRayPickAction, SoCallbackAction

## Constructor & Destructor Documentation

SoCubeDetail::SoCubeDetail | ( | void | ) |  |

Constructor.

SoCubeDetail::~SoCubeDetail | ( | ) |  |

virtual

Destructor.

## Member Function Documentation

SoType SoCubeDetail::getTypeId | ( | void | ) |  | const

virtual

Returns the type identification of a detail derived from a class inheriting SoDetail. This is used for run-time type checking and "downward" casting.

Usage example:

void fuhbear(SoDetail * detail)
{
if (detail->getTypeId() == SoFaceDetail::getClassTypeId()) {
// safe downward cast, know the type
SoFaceDetail * facedetail = (SoFaceDetail *)detail;
}
return; // ignore if not a SoFaceDetail
}

For application programmers wanting to extend the library with new detail classes: this method needs to be overridden in all subclasses. This is typically done as part of setting up the full type system for extension classes, which is usually accomplished by using the pre-defined macros available through Inventor/nodes/SoSubDetail.h: SO_DETAIL_SOURCE and SO_DETAIL_INIT_CLASS.

Implements SoDetail.

SoDetail * SoCubeDetail::copy | ( | void | ) |  | const

virtual

Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

void SoCubeDetail::setPart | ( | const int | partarg) |  |

Set the part of a cube which was selected. A cube has of course six different conceptual parts – it's sides.

int SoCubeDetail::getPart | ( | void | ) |  | const

Returns selected cube part.

## Member Data Documentation

int SoCubeDetail::part

protected

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

The documentation for this class was generated from the following files:

- SoCubeDetail.h
- SoCubeDetail.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.